#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull linuxserver/transmission:version-3.00-r0

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep Transmission | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi

C_UID=$(id -u admin)
ADMIN_GID=$(id -g admin)

docker create -i -t --name=Transmission \
	-p 29091:9091 \
	-p 51413:51413 -p 51413:51413/udp \
	-e PUID=$C_UID -e PGID=$ADMIN_GID \
	-e USER=trsmadmin \
	-e PASS=trsmpasswd6565 \
	-e TRANSMISSION_WEB_HOME=/transmission-web-control/ \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/Transmission/config:/config:rw \
	-v /share/Docker/Transmission/watch:/watch:rw \
	-v /share/Download/Transmission:/downloads:rw \
	-v /share:/shared:rw \
	--restart unless-stopped \
	linuxserver/transmission:version-3.00-r0

docker start Transmission


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep linuxserver/transmission | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
